[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TResyncMode

Internal flag for resynchronisiation

## Declaration

Source position: db.pas line 1277

`type TResyncMode = set of (`
`rmExact,` |  | Reposition at exact the same location in the buffer
`rmCenter` |  | Try to position the cursor in the middle of the buffer
`);`

## Description

TResyncMode is used internally by various TDataset navigation and data manipulation methods such as the TDataset.Refresh method when they need to reset the cursor position in the dataset's buffer.

## See also

TDataset |  | Base class for records-based data-access

Documentation generated on: Feb 26 2014